Subject: Re: bug#75688: GUIX_ify harmful environment variables and replace wrapper scripts with search path value files

From: 宋文武 <[email-masked]>
Date: Mon, 27 Jan 2025 12:24:24 +0800

Maxim Cournoyer <[email-masked]> writes:

>> * gnu/packages/patches/gdk-pixbuf-respect-GUIX_GDK_PIXBUF_MODULE_FILES.patch:
>
> nitpick: I'd name this patch
> gdk-pixbuf-honor-GUIX_GDK_PIXBUF_MODULE_FILES.patch (s/respect/honor/).
>
> [...]
>
> nitpick: "Load loaders" reads a bit loaded ;-).  I'd write "Load modules
> [...]" instead.
>
>> ++	gchar **guix_module_files = g_build_guix_search_path_dirs ("GUIX_GDK_PIXBUF_MODULE_FILES");
>> ++	for (int i = 0; guix_module_files[i] != NULL; i++)
>
> nitpick: I read a long time ago that ++i achieves the same and is more
> efficient, though I forgot the reasons.  Probably doesn't matter here,
> but could be neater (here and elsewhere).

Since it's not a big/hot loop, it doesn't matter here, and existed code use
"i++", so I'd leave it.

>
> Otherwise, for this commit alone,
>
> Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>
>
> (You'll want to give this series plenty of time for others to chime in).

I had update gdk-pixbuf patch for https://issues.guix.gnu.org/75795

The "search-paths.d" part of this series surely need more work, I'll
work on that later.

Thank you!